{{- if and .Values.nginxPromExporter.enabled .Values.nginxPromExporter.podMonitor.enabled }}
apiVersion: monitoring.coreos.com/v1
kind: PodMonitor
metadata:
  name: {{ include "common.names.fullname" $ }}-nginx-exporter
  labels:
    {{- if $.Values.commonLabels }}
      {{- include "common.tplvalues.render" ( dict "value" $.Values.commonLabels "context" $ ) | nindent 4 }}
    {{- end }}
  {{- with $.Values.commonAnnotations }}
  annotations:
    {{- include "common.tplvalues.render" ( dict "value" . "context" $ ) | nindent 4 }}
  {{- end }}
spec:
  {{- with $.Values.nginxPromExporter.podMonitor.endpoints }}
  podMetricsEndpoints: {{- include "common.tplvalues.render" ( dict "value" . "context" $ ) | nindent 4 }}
  {{- end }}
  {{- with $.Values.nginxPromExporter.podMonitor.jobLabel }}
  jobLabel: {{ . }}
  {{- end }}
  {{- with $.Values.nginxPromExporter.podMonitor.namespaceSelector }}
  namespaceSelector: {{- include "common.tplvalues.render" ( dict "value" . "context" $ ) | nindent 4 }}
  {{- end }}
  {{- with $.Values.nginxPromExporter.podMonitor.selector }}
  selector: {{- include "common.tplvalues.render" ( dict "value" . "context" $ ) | nindent 4 }}
  {{- end }}
  {{- with $.Values.nginxPromExporter.podMonitor.targetLabels }}
  targetLabels: {{- include "common.tplvalues.render" ( dict "value" . "context" $ ) | nindent 4 }}
  {{- end }}
{{- end }}
